/**
  ****************************************************************************************************
  * @file    tsi_interrupt.c
  * @author  FMSH Application Team
  * @brief   Source file of FL Driver Library
  ****************************************************************************************************
  * @attention
  *
  * Copyright (c) [2021] [Fudan Microelectronics]
  * THIS SOFTWARE is licensed under Mulan PSL v2.
  * You can use this software according to the terms and conditions of the Mulan PSL v2.
  * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
  * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
  * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
  * See the Mulan PSL v2 for more details.
  *
  ****************************************************************************************************
  */
/* Includes ----------------------------------------------------------------------------------------*/
#include "tsi_def.h"
#include "tsi_objects.h"

/* Macros ---------------------------------------------------------------------------------------------*/

/* Defines --------------------------------------------------------------------------------------------*/

/* Exported Functions ---------------------------------------------------------------------------------*/
void TSI_IRQHandler(void)
{
    // RawCount更新中断
    if(FL_TSI_IsEnabledIT_EndOfChannel(TSI) && 
       FL_TSI_IsActiveFlag_EndOfChannel(TSI))
    {
        FL_TSI_ClearFlag_EndOfChannel(TSI);
        TSI_ChannelSensorMap[FL_TSI_GetRawCountChannel(TSI)]->rawCount = 
            FL_TSI_ReadRawCount(TSI); 
    }
    
    // 序列转换完成中断
    if(FL_TSI_IsEnabledIT_EndOfSequence(TSI) && 
       FL_TSI_IsActiveFlag_EndOfSequence(TSI))
    {
        FL_TSI_ClearFlag_EndOfSequence(TSI);
        
        // 标记扫描完成
        TSI_SETSTAT_SCAN_CPLT();
    }
}

/********************** (C) COPYRIGHT Fudan Microelectronics **** END OF FILE ***********************/
