/**
  *******************************************************************************************************
  * @file    tsi_sensor.h
  * @author  FMSH Application Team
  * @brief   Header file of FL Driver Library
  *******************************************************************************************************
  * @attention
  *
  * Copyright (c) [2021] [Fudan Microelectronics]
  * THIS SOFTWARE is licensed under Mulan PSL v2.
  * You can use this software according to the terms and conditions of the Mulan PSL v2.
  * You may obtain a copy of Mulan PSL v2 at:
  *          http://license.coscl.org.cn/MulanPSL2
  * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
  * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
  * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
  * See the Mulan PSL v2 for more details.
  *
  *******************************************************************************************************
  */
/* Prevent recursive inclusion ------------------------------------------------------------------------*/
#ifndef __TSI_LIB_SENSOR_H__
#define __TSI_LIB_SENSOR_H__

#ifdef __cplusplus
extern "C" {
#endif

/* Includes -------------------------------------------------------------------------------------------*/
#include "tsi_objects.h"

/* Macros ---------------------------------------------------------------------------------------------*/

/* Defines --------------------------------------------------------------------------------------------*/

/* Exported Functions ---------------------------------------------------------------------------------*/
/** @defgroup TSI_SNS_CONTROL_FUNC  TSI Sensor Control Functions
  * @{
  */

TSI_RetCodeType TSI_Sensor_ApplyConfig(TSI_SensorTypeDef* sensor);
TSI_RetCodeType TSI_Sensor_Init(TSI_SensorTypeDef* sensor);
void TSI_Sensor_Enable(TSI_SensorTypeDef* sensor);
void TSI_Sensor_Disable(TSI_SensorTypeDef* sensor);

/**
  * @}
  */

/** @defgroup TSI_SNS_UPD_FUNC  TSI Sensor Update Functions
  * @{
  */

TSI_RetCodeType TSI_Sensor_Update(TSI_SensorTypeDef* sensor);

/**
  * @}
  */

#ifdef __cplusplus
}
#endif

#endif  /* __TSI_LIB_SENSOR_H__ */

/********************** (C) COPYRIGHT Fudan Microelectronics **** END OF FILE ***********************/
