/**
  *******************************************************************************************************
  * @file    tsi_widget.h
  * @author  FMSH Application Team
  * @brief   Header file of FL Driver Library
  *******************************************************************************************************
  * @attention
  *
  * Copyright (c) [2021] [Fudan Microelectronics]
  * THIS SOFTWARE is licensed under Mulan PSL v2.
  * You can use this software according to the terms and conditions of the Mulan PSL v2.
  * You may obtain a copy of Mulan PSL v2 at:
  *          http://license.coscl.org.cn/MulanPSL2
  * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
  * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
  * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
  * See the Mulan PSL v2 for more details.
  *
  *******************************************************************************************************
  */
/* Prevent recursive inclusion ------------------------------------------------------------------------*/
#ifndef __TSI_LIB_WIDGET_H__
#define __TSI_LIB_WIDGET_H__

#ifdef __cplusplus
extern "C" {
#endif

/* Includes -------------------------------------------------------------------------------------------*/
#include "tsi_objects.h"

/* Macros ---------------------------------------------------------------------------------------------*/

/* Defines --------------------------------------------------------------------------------------------*/

/* Exported Functions ---------------------------------------------------------------------------------*/
/** @defgroup TSI_WGT_CONTROL_FUNC  TSI Widget Control Functions
  * @{
  */

void TSI_Widget_InitAll(void);
void TSI_Widget_Init(TSI_WidgetTypeDef* widget);
void TSI_Widget_ApplyConfigToAll(void);
void TSI_Widget_EnableAll(void);
void TSI_Widget_DisableAll(void);
void TSI_Widget_ApplyConfig(TSI_WidgetTypeDef* widget);
void TSI_Widget_Enable(TSI_WidgetTypeDef* widget);
void TSI_Widget_Disable(TSI_WidgetTypeDef* widget);

/**
  * @}
  */

/** @defgroup TSI_WGT_UPD_FUNC  TSI Widget Update Functions
  * @{
  */

void TSI_Widget_UpdateAll(void);
void TSI_Widget_Update(TSI_WidgetTypeDef* widget);
void TSI_Widget_UpdateButton(TSI_ButtonWidgetTypeDef* buttonWidget);
void TSI_Widget_UpdateProximity(TSI_ProximityWidgetTypeDef* proximityWidget);
void TSI_Widget_UpdateSlider(TSI_SliderWidgetTypeDef* sliderWidget);

/**
  * @}
  */

#ifdef __cplusplus
}
#endif

#endif  /* __TSI_LIB_WIDGET_H__ */

/********************** (C) COPYRIGHT Fudan Microelectronics **** END OF FILE ***********************/
