#ifndef __TSI_LIB_DEBUG_IO_H__
#define __TSI_LIB_DEBUG_IO_H__

#include "tsi_def.h"

typedef enum _TSI_DebugIO_Signal 
{
    TSI_DebugIO_SigTxComplete,
    TSI_DebugIO_SigRxComplete,
} TSI_DebugIOSignal;

typedef struct _TSI_DebugIO 
{
    void (*init)(void);
    void (*deinit)(void);
    
    void (*clear)(void);                                    // Clear IO receive buffer
    
    void (*transmit)(uint8_t *pBuf, uint16_t length);       // Transmit through IO
    void (*receive)(uint8_t *pBuf, uint16_t length);        // Receive from IO
    
    /* IO signal function */
    void (*emitSignal)(TSI_DebugIOSignal sig);              // Signal emitter
    
} TSI_DebugIOTypeDef;

/**
  * @brief Debug IO instance
  * @note  User should implement the IO function and call the signal function properly.
  */
extern TSI_DebugIOTypeDef TSI_DebugIO;

#endif
