#include "led.h"
#include "fm33fr0xx_fl.h"

void LED_Init(void)
{
    int i;
    
    for(i=0; i<LED_NUM; i++)
    {
        FL_GPIO_InitTypeDef io;
        io.pin        = led_ios[i].pin;
        io.mode       = FL_GPIO_MODE_OUTPUT;
        io.outputType = FL_GPIO_OUTPUT_PUSHPULL;
        io.pull       = FL_GPIO_BOTH_DISABLE;
        io.remapPin   = FL_GPIO_PINREMAP_FUNCTON1;	
        io.driveStrength = FL_GPIO_DRIVESTRENGTH_X3;
        io.analogSwitch = FL_DISABLE;
        
        // 初始化为熄灭
        FL_GPIO_SetOutputPin(led_ios[i].port, led_ios[i].pin);
        
        FL_GPIO_Init(led_ios[i].port, &io);
    }
}

void LED_Set(led_t led)
{
    // 点亮
    FL_GPIO_ResetOutputPin(led_ios[led].port, led_ios[led].pin);
}

void LED_Reset(led_t led)
{
    // 熄灭
    FL_GPIO_SetOutputPin(led_ios[led].port, led_ios[led].pin);
}

void LED_Toggle(led_t led)
{
    // 翻转
    FL_GPIO_ToggleOutputPin(led_ios[led].port, led_ios[led].pin);
}
