#ifndef __LED_H__
#define __LED_H__

#include "fm33fr0xx_fl.h"

typedef enum 
{
    LED_USR1 = 0,
    LED_USR2,
    LED_USR3,
    LED_NUM,
    
} led_t;

typedef struct 
{
    GPIO_Type* port;
    uint32_t   pin;
    
} led_io_t;

static led_io_t led_ios[LED_NUM] = 
{
    { GPIOB, FL_GPIO_PIN_4 },
    { GPIOB, FL_GPIO_PIN_5 },
    { GPIOA, FL_GPIO_PIN_15 },
};

void LED_Init(void);
void LED_Set(led_t led);
void LED_Reset(led_t led);
void LED_Toggle(led_t led);

#endif
